# $Revision: 1.12 $, $Date: 2011/11/08 13:58:31 $
%define		_modname	zip
%define		_status		stable
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - a zip management extension
Summary(pl.UTF-8):	%{_modname} - zarządzanie archiwami zip
Name:		php4-pecl-%{_modname}
Version:	1.9.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	045c5c2ee8e657c1ef7ab3a14a79617a
URL:		http://pecl.php.net/package/zip/
BuildRequires:	php4-devel >= 3:4.3.0
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	zziplib-devel
Requires:	php4-common >= 3:4.4.0-3
Obsoletes:	php-pear-%{_modname}
Obsoletes:	php-zip
%{?requires_php_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zip is an extension to create, modify and read zip files.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
Zip jest rozszerzeniem umożliwiającym tworzenie, modyfikację oraz
odczyt archiwów zip.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php4_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php4_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-pecl-zip.spec,v $
Revision 1.12  2011/11/08 13:58:31  arekm
- release 2

Revision 1.11  2008/08/28 09:32:50  arekm
- up to 1.9.0

Revision 1.10  2008-01-24 11:21:22  glen
- use %php4_webserver_restart; unify

Revision 1.9  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.7  2006/11/28 11:12:02  adamg
- updated to 1.8.1

Revision 1.6  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.5  2006/09/16 15:31:04  adamg
- updated to 1.7.3

Revision 1.4  2006/09/02 22:14:12  adamg
- updated to 1.7.2

Revision 1.3  2006/07/14 11:19:48  adamg
- updated to 1.5.0

Revision 1.2  2006/06/29 08:22:18  adamg
- updated to 1.4.1

Revision 1.1  2006/04/23 15:51:10  adamg
- new
